package org.dromara.system.service;

import org.dromara.system.domain.Hot;
import org.dromara.system.domain.vo.HotVo;
import org.dromara.system.domain.bo.HotBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author Lion Li
 * @date 2024-12-13
 */
public interface IHotService {

    /**
     * 查询【请填写功能名称】
     */
    HotVo queryById(String hotId);

    /**
     * 查询【请填写功能名称】列表
     */
    TableDataInfo<HotVo> queryPageList(HotBo bo, PageQuery pageQuery);

    /**
     * 查询【请填写功能名称】列表
     */
    List<HotVo> queryList(HotBo bo);

    /**
     * 新增【请填写功能名称】
     */
    Boolean insertByBo(HotBo bo);

    /**
     * 修改【请填写功能名称】
     */
    Boolean updateByBo(HotBo bo);

    /**
     * 校验并批量删除【请填写功能名称】信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);
}
